<?php

namespace App\Http\Controllers;


use App\Models\Homepage;
use App\Models\Footer;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;

use Image;

class AdminController extends Controller {

    public function __construct() {
        $this->middleware('auth');
    }

    public function index() {
        return view('admin.home');
    }

    public function homepage(Request $request) {
        $input = $request->all();
        if(isset($input['id'])) {
            $item = Homepage::find($input['id']);
            $item->update(array('content' => $input['content']));
            return Redirect::route('admin.homepage')->with('message', 'Item successfully modified!');

        }
        return view('admin.homepage', [
            'content' => Homepage::all()
        ]);
    }

    public function footer(Request $request) {
        $input = $request->all();
        if(isset($input['id'])) {
            $item = Footer::find($input['id']);
            $item->update(array('content' => $input['content']));
            return Redirect::route('admin.footer')->with('message', 'Item successfully modified!');

        }
        return view('admin.footer', [
            'content' => Footer::all()
        ]);
    }

    public function uploadImage(Request $request) {
        $photo = $request->file('file');
        $imagename = 'sushi-home.jpg';

        $destinationPath = public_path('/home');
        $new_img = Image::make($photo->getRealPath())->fit(1920, 1080);
        $new_img->save($destinationPath . '/' . $imagename, 100);

        return Redirect::route('admin.homepage')->with('message', 'New image successfully uploaded');
    }
}
