<?php

namespace App\Http\Controllers;

use App\Models\Homepage;
use App\Models\Footer;
use App\Models\Contactpage;
use App\Models\Special;
use App\Models\Menu;
use App\Models\Teppanyaki;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Redirect;

class PagesController extends Controller {

    public function __construct() {
        $items = Homepage::all();
        $arr = array();
        foreach($items as $item) {
            $arr[$item->api] = $item->content;
        }
        view()->share('content', $arr);

        $f_items = Footer::all();
        $f_arr = array();
        foreach($f_items as $item) {
            $f_arr[$item->api] = nl2br($item->content);
        }
        view()->share('footer', $f_arr);
    }

    public function index() {
        return view('pages.welcome', [
            'specials' => Special::all()
        ]);
    }

    public function menu() {
        $arr = array();
        $items = Menu::orderBy('sorting', 'ASC')->get();
        foreach($items as $item) {
            $arr[$item->menu_category_id][] = $item;
        }
        return view('pages.menu', [
            'items' => $arr
        ]);
    }

    public function teppanyaki() {
        $items = Teppanyaki::orderBy('sorting', 'ASC')->get();
        return view('pages.teppanyaki-menu', [
            'items' => $items
        ]);
    }

    public function contact() {
        $arr = array();
        return view('pages.contact', [
            'content' => $arr
        ]);
    }

    public function view360() {
        return view('pages.360');
    }

    public function thanks() {
        $arr = array();
        return view('pages.thanks', [
            'content' => $arr
        ]);
    }

    public function sendform(Request $request) {
        $inputs = $request->all();
        unset($inputs['_token']);
        $rules['g-recaptcha-response'] = 'required|captcha';
        $validator = Validator::make($inputs, $rules);
        if ($validator->fails()) {
            return Redirect::to('/contact')
                ->withErrors($validator)
                ->withInput($request->except('password'));
        } else {
            unset($inputs['_token']);
            unset($inputs['g-recaptcha-response']);
            $body = '<p style="font-family: Verdana; font-size: 12px">Form submission:</p> ';
            $body .= '<table style="font-family: Verdana; font-size: 12px; width: 90%">';
            foreach($inputs as $key => $input) {
                if(is_array($input)) {
                    $output = '';
                    foreach($input as $item) {
                        $output .= $item . '; ';
                    }
                    $input = rtrim($output, '; ');
                }
                $body .= '<tr><td valign="top" style="font-family: Verdana; font-size: 12px">' . ucfirst($key) . '</td><td valign="top" style="font-family: Verdana; font-size: 12px"> : </td><td valign="top" style="font-family: Verdana; font-size: 12px">' . $input . '</td></tr>';
            }
            $body .= '</table>';

            $data = [
                'body' => $body,
                'from' => $inputs['email'],
                'name' => $inputs['name'],
                'to' => 'kyotoreservations@gmail.com',
                //'cc' => 'ruthnelcorasol@gmail.com',
                //'bcc' => 'kyotocuracao@gmail.com',
                'subject' => 'Form submission from kyotocuracao.com'
            ];
            Mail::send('emails.main', $data, function($message) use ($data) {
                $message->to($data['to']);
                $message->replyTo($data['from']);
                //$message->cc($data['cc']);
                //$message->bcc($data['bcc']);
                $message->from('info@kyotocuracao.com', $data['name']);
                $message->subject($data['subject']);
            });
            return redirect('contact/thanks');
        }

    }

}
