<?php namespace App\Http\Controllers;

use App\Models\Special;

use App\Http\Helpers\Helpers;

use Image;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;

class SpecialsController extends Controller {

    protected $rules = [
        'title' => ['required'],
        'content' => ['required'],
    ];

    public function __construct() {
        $this->middleware('auth');
        $this->helper = new Helpers();
    }

    public function index() {
        return view('admin.specials.index', [
            'items' => Special::all()
        ]);
    }

    public function create() {
        return view('admin.specials.create');
    }

    public function store(Request $request) {
        $this->validate($request, $this->rules);
        $input = $request->all();
        Special::create($input);
        return Redirect::route('admin.specials.index')->with('message', 'Special successfully created!');
    }

    public function save(Request $request) {
        $item = Special::find($request->pk);
        $item->update(array($request->name => $request->value));
        die('Saved!');
    }

    public function uploadImage(Request $request) {
        $photo = $request->file('file');
        $imagename = uniqid() . '.' . $photo->getClientOriginalExtension();

        $destinationPath = public_path('/specials');
        $new_img = Image::make($photo->getRealPath())->fit(400, 285);
        $new_img->save($destinationPath . '/' . $imagename, 100);

        $item = Special::find($request->id);
        $item->update(array('image' => '/specials/' . $imagename));
        return Redirect::route('admin.specials.index')->with('message', 'New image successfully uploaded');
    }

}
