<?php namespace App\Http\Controllers;

use App\Models\Teppanyaki;

use App\Http\Helpers\Helpers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;

class TeppanyakiController extends Controller {

    protected $rules = [
        'name' => ['required'],
        'price' => ['required'],
    ];

    public function __construct() {
        $this->middleware('auth');
        $this->helper = new Helpers();
    }

    public function index() {
        return view('admin.teppanyaki.index', [
            'items' => Teppanyaki::orderBy('sorting', 'ASC')->get()
        ]);
    }

    public function create() {
        return view('admin.teppanyaki.create');
    }

    public function store(Request $request) {
        $this->validate($request, $this->rules);
        $input = $request->all();
        $last = Teppanyaki::orderBy('sorting', 'DESC')->first();
        $input['sorting'] = $last->sorting + 1;
        Teppanyaki::create($input);
        return Redirect::route('admin.teppanyaki.index')->with('message', 'Menu item successfully created!');
    }

    public function save(Request $request) {
        $item = Teppanyaki::find($request->pk);
        $item->update(array($request->name => $request->value));
        die('Saved!');
    }


}
