// Globals ***********************************************************

var str;
var currentTallest = 0;
var currentRowStart = 0;
var rowDivs = new Array();

var FrontJS;

FrontJS = {

    // Init ***********************************************************

    init: function(cl) {

        if($(window).scrollTop() < 50) {
            $("#full-width-bg .centered").show('fast');
            $(".navbar-brand .floating-logo").css({
                height: "192px"
            });
        } else {
            $(".navbar-brand .floating-logo").css({
                height: "120px"
            });
        }

        $(window).scroll(function () {
            if($(window).scrollTop() > 50) {
                $("#full-width-bg .centered").fadeOut('fast');
                $(".navbar-brand .floating-logo").css({
                    height: '120px'
                });
            } else {
                $("#full-width-bg .centered").fadeIn('fast');
                $(".navbar-brand .floating-logo").css({
                    height: '192px'
                });
            }
        });

        FrontJS.setEqualHeight(cl);
        $(window).resize(function() {
            FrontJS.setEqualHeight(cl);
        });

        FrontJS.bindUIActions();

    },

    // Functions ******************************************************

    setHeight: function(el, newHeight) {
        el.data("originalHeight", (el.data("originalHeight") == undefined) ? (el.height()) : (el.data("originalHeight")));
        el.height(newHeight);
    },

    setHeightToRatio: function(element) {
        if (element) {
            element.each(function(){
                var ratio = $(this).attr('data-ratio');
                if(ratio) {
                    var part = ratio.split(':');
                    var w = parseInt(part[0]);
                    var h = parseInt(part[1]);

                    var srcW = $(this).width();
                    $(this).height((srcW / w) * h);
                }
            });
        }
    },

    getOriginalHeight: function(el) {
        return (el.data("originalHeight") == undefined) ? (el.height()) : (el.data("originalHeight"));
    },

    setEqualHeight: function(cl) {
        $('.'+cl).each(function() {
            var $el = $(this);
            var topPosition = $el.position().top;

            /**
             * force first element to not have top = 0
             */
            if(currentRowStart == 0) currentRowStart = topPosition;

            if (currentRowStart != topPosition) {
                for (currentDiv = 0; currentDiv < rowDivs.length; currentDiv++) {
                    FrontJS.setHeight(rowDivs[currentDiv], currentTallest);
                }
                rowDivs.length = 0;
                currentRowStart = topPosition;
                currentTallest = FrontJS.getOriginalHeight($el);
                rowDivs.push($el);
            } else {
                rowDivs.push($el);
                currentTallest = (currentTallest < FrontJS.getOriginalHeight($el)) ? (FrontJS.getOriginalHeight($el)) : (currentTallest);
            }
        });
        for (currentDiv = 0 ; currentDiv < rowDivs.length ; currentDiv++) {
            FrontJS.setHeight(rowDivs[currentDiv], currentTallest);
        }
    },

    // Actions ********************************************************

    bindUIActions: function() {

        $(".navbar-toggle").on('click', function() {
            $(".navbar-brand").toggle();
        });

    }

};


