<!doctype html>
<html lang="{{ config('app.locale') }}">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

        <link rel="icon" href="/images/favicon.ico" type="image/x-icon">

        <title>Kyoto Sushi & Grill Curacao</title>

        <link href="//fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">
        <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" type="text/css">
        <link href="/css/bootstrap.min.css" rel="stylesheet" type="text/css">
        <link href="/css/style.css" rel="stylesheet" type="text/css">
    </head>
    <body>

    <nav class="navbar navbar-default navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="/">
                    <div class="floating-logo"></div>
                </a>
            </div>
            <div id="navbar" class="navbar-collapse collapse">
                <ul class="nav navbar-nav navbar-right">
                    <li class="active"><a href="/">Home</a></li>
                    <li><a href="/menu">Menu</a></li>
                    <li><a href="/contact">Contact</a></li>
                </ul>
            </div>
        </div>
    </nav>

    <div class="container-fluid full-height" id="full-width-bg">

        <div class="centered">
            <p>Itadakimasu!</p>
        </div>

    </div>

    <div class="container content">
        <div class="row">
            <div class="col-md-12">
                <blockquote>
                    <p>We want to welcome you to Kyoto Sushi & Grill and would like you to relax and enjoy our Caribbean inspired sushi
                        and our fusion of Japanese dishes with a Asian flair. While our chefs prepare your order carefully it could take longer than
                        anticipated as our sushi is made the moment you order it, this is especially so when it is busy,
                        so relax and enjoy a glass of our vast selection of wines, beers, Japanese whiskies and our must try sakes.</p>
                    <p style="font-size: 32px;">Itadakimasu!</p>
                </blockquote>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <div class="well">
                    <div class="image"><img src="/images/desert-one.jpg" /></div>
                    <h3>Special one</h3>
                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam urna tellus, blandit at sollicitudin vitae, placerat ut urna. Suspendisse lacinia quam sit amet tempor vestibulum.</p>
                    <p class="price">Nafl. 17,=</p>
                </div>
            </div>
            <div class="col-md-4">
                <div class="well">
                    <div class="image"><img src="/images/desert-two.jpg" /></div>
                    <h3>Special two</h3>
                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam urna tellus, blandit at sollicitudin vitae, placerat ut urna. Suspendisse lacinia quam sit amet tempor vestibulum.</p>
                    <p class="price">Nafl. 21,=</p>
                </div>
            </div>
            <div class="col-md-4">
                <div class="well">
                    <div class="image"><img src="/images/desert-three.jpg" /></div>
                    <h3>Special three</h3>
                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam urna tellus, blandit at sollicitudin vitae, placerat ut urna. Suspendisse lacinia quam sit amet tempor vestibulum.</p>
                    <span class="price">Nafl. 14,=</span>
                </div>
            </div>
        </div>
    </div>

    <div class="container price-copy">
        <div class="row">
            PLEASE NOTE: All prices are in guilders and include the mandatory 9% sales tax / OB. No service charge is added. Tipping is at your own discretion. Prices & menu items are subject to change without notice.
        </div>
    </div>

    <footer class="container-fluid">
        <div class="row">
            <div class="col-md-offset-1 col-md-4">
                <h3>Opening Hours:</h3>
                <p>Monday - Friday from 17:00 - 23:00<br />
                    Saturday & Sunday from 12:00 - 23:00</p>
                <p>&nbsp;</p>
            </div>
            <div class="col-md-3">
                <h3>Social Media:</h3>
                <p>
                    <a title="Visit our Facebook page" href="https://www.facebook.com/Kyotocuracao/" target="_blank"><i class="fa fa-facebook-square"></i></a>
                    &nbsp;&nbsp;
                    <a  title="Visit our Instagram page" href="https://www.instagram.com/kyotocuracao/" target="_blank"><i class="fa fa-instagram"></i></a>
                </p>
            </div>
            <div class="col-md-4">
                <h3>Location:</h3>
                <p>Papagayo Beach Hotel<br />
                at Jan Thiel Beach<br />
                F: +5999 735 00 41 / 735 00 42<br />
                E: kyoto@sensastudio.com</p>
            </div>
        </div>
        <div class="row" style="text-align: center"><p class="copyright">&copy;2017 Kyoto Sushi & Grill Curacao</p></div>
    </footer>


    <script src="/js/jquery.min.js"></script>
    <script src="/js/jquery-ui.min.js"></script>
    <script src="/js/bootstrap.min.js"></script>
    <script src="/js/script.js"></script>

    </body>
</html>
