<?php

use Illuminate\Support\Facades\Route;

Auth::routes();
Route::get('auth/{provider}', 'Auth\LoginController@redirectToProvider');
Route::get('auth/{provider}/callback', 'Auth\LoginController@handleProviderCallback');

Route::get('/', 'PagesController@index');

Route::post('/sendform', 'PagesController@sendform');

Route::get('/menu', 'PagesController@menu');
Route::get('/teppanyaki-menu', 'PagesController@teppanyaki');
Route::get('/contact', 'PagesController@contact');
Route::get('/contact/thanks', 'PagesController@thanks');
Route::get('/360-view', 'PagesController@view360');

Route::get('admin/home', 'AdminController@index');

Route::resource('admin/categories', 'CategoriesController',
    ['names' => [
        'index' => 'admin.categories.index'
    ]]);

Route::post('admin/categories/ajax/save', ['as' => 'admin.categories.save', 'uses' => 'CategoriesController@save']);
Route::post('admin/menu/ajax/save', ['as' => 'admin.menu.save', 'uses' => 'MenuController@save']);
Route::post('admin/teppanyaki/ajax/save', ['as' => 'admin.teppanyaki.save', 'uses' => 'TeppanyakiController@save']);
Route::post('admin/specials/ajax/save', ['as' => 'admin.specials.save', 'uses' => 'SpecialsController@save']);

Route::get('admin/menu/lists/{id}', ['as' => 'admin.menu.lists', 'uses' => 'MenuController@lists']);
Route::get('admin/menu/categories', 'MenuController@getCategories');

Route::any('admin/upload', 'AdminController@uploadImage');
Route::any('admin/specials/upload', 'SpecialsController@uploadImage');

Route::any('admin/homepage', ['as' => 'admin.homepage', 'uses' => 'AdminController@homepage']);
Route::any('admin/footer', ['as' => 'admin.footer', 'uses' => 'AdminController@footer']);

Route::resource('admin/menu', 'MenuController',
    ['names' => [
        'index' => 'admin.menu.index',
        'create' => 'admin.menu.create',
        'store' => 'admin.menu.store',
        'edit' => 'admin.menu.edit',
        'update' => 'admin.menu.update'
    ]]);

Route::resource('admin/teppanyaki', 'TeppanyakiController',
    ['names' => [
        'index' => 'admin.teppanyaki.index',
        'create' => 'admin.teppanyaki.create',
        'store' => 'admin.teppanyaki.store',
        'edit' => 'admin.teppanyaki.edit',
        'update' => 'admin.teppanyaki.update'
    ]]);

Route::resource('admin/specials', 'SpecialsController',
    ['names' => [
        'index' => 'admin.specials.index',
        'create' => 'admin.specials.create',
        'store' => 'admin.specials.store',
        'edit' => 'admin.specials.edit',
        'update' => 'admin.specials.update'
    ]]);