<!doctype html>
<html lang="<?php echo e(config('app.locale')); ?>">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

    <link rel="icon" href="/images/favicon.ico" type="image/x-icon">

    <title><?php echo $__env->yieldContent('pagetitle'); ?></title>

    <meta name="title" content="<?php echo $__env->yieldContent('pagetitle'); ?>" />
    <meta name="description" content="<?php echo $__env->yieldContent('pagedescription'); ?>" />

    <meta property="og:url" content="http://<?php echo e($_SERVER['HTTP_HOST']); ?><?php echo e($_SERVER['REQUEST_URI']); ?>">
    <meta property="og:image" content="http://<?php echo e($_SERVER['HTTP_HOST']); ?>/images/og-image.jpg">
    <meta property="og:title" content="<?php echo $__env->yieldContent('pagetitle'); ?>">
    <meta property="og:description" content="<?php echo $__env->yieldContent('pagedescription'); ?>">

    <link href="//fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">
    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <link href="/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <link href="/css/style.css?v=3" rel="stylesheet" type="text/css">

    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-108092867-1"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());
        gtag('config', 'UA-108092867-1');
    </script>

    <!-- Facebook Pixel Code -->
    <script>
        !function(f,b,e,v,n,t,s)
        {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
            n.callMethod.apply(n,arguments):n.queue.push(arguments)};
            if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
            n.queue=[];t=b.createElement(e);t.async=!0;
            t.src=v;s=b.getElementsByTagName(e)[0];
            s.parentNode.insertBefore(t,s)}(window,document,'script',
            'https://connect.facebook.net/en_US/fbevents.js');
        fbq('init', '2390000527919878');
        fbq('track', 'PageView');
    </script>
    <noscript>
        <img height="1" width="1" src="https://www.facebook.com/tr?id=2390000527919878&ev=PageView&noscript=1"/>
    </noscript>
    <!-- End Facebook Pixel Code -->

</head>
<body>
<div id="fb-root"></div>
<script>
    window.fbAsyncInit = function() {
        FB.init({
            xfbml            : true,
            version          : 'v3.3'
        });
    };

    (function(d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0];
        if (d.getElementById(id)) return;
        js = d.createElement(s); js.id = id;
        js.src = 'https://connect.facebook.net/en_US/sdk/xfbml.customerchat.js';
        fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));
</script>

<div class="fb-customerchat" attribution=install_email page_id="236346729827600" theme_color="#0084ff" logged_in_greeting="Hi there! How can we help you?" logged_out_greeting="Hi there! How can we help you?"></div>
<nav class="navbar navbar-default navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="/">
                <div class="floating-logo"></div>
            </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav navbar-right">
                <li <?php if($_SERVER['REQUEST_URI'] == '/'): ?> class="active" <?php endif; ?>><a href="/">Home</a></li>
                <li <?php if($_SERVER['REQUEST_URI'] == '/menu'): ?> class="active" <?php endif; ?>><a href="/menu">Menu</a></li>
                <li <?php if($_SERVER['REQUEST_URI'] == '/teppanyaki-menu'): ?> class="active" <?php endif; ?>><a href="/teppanyaki-menu">Teppan Yaki Menu</a></li>
                <li <?php if($_SERVER['REQUEST_URI'] == '/360-view'): ?> class="active" <?php endif; ?>><a href="/360-view">360° View</a></li>
                <li <?php if($_SERVER['REQUEST_URI'] == '/contact'): ?> class="active" <?php endif; ?>><a href="http://kyotocuracao.everyorder.io/" target="_blank">Order Now</a></li>
            </ul>
        </div>
    </div>
</nav>

<?php echo $__env->yieldContent('content'); ?>

<?php if(isset($content['note'])): ?>
    <div class="container price-copy">
        <div class="row">
            <?php echo $content['note']; ?>

        </div>
    </div>
<?php endif; ?>

<footer class="container-fluid">
    <div class="row">
        <div class="col-md-offset-1 col-md-4">
            <h3>Opening Hours:</h3>
            <p><?php echo $footer['left']; ?></p>
        </div>
        <div class="col-md-3">
            <h3>Social Media:</h3>
            <p>
                <a title="Visit our Facebook page" href="https://www.facebook.com/Kyotocuracao/" target="_blank"><i class="fa fa-facebook-square"></i></a>
                &nbsp;&nbsp;
                <a  title="Visit our Instagram page" href="https://www.instagram.com/kyotocuracao/" target="_blank"><i class="fa fa-instagram"></i></a>
            </p>
        </div>
        <div class="col-md-4">
            <h3>Location:</h3>
            <p><?php echo $footer['right']; ?></p>
        </div>
    </div>
    <div class="row" style="text-align: center"><p class="copyright">&copy;2017 Kyoto Sushi & Grill Curacao | Design and development <a style="color: white;text-decoration: none;" href="http://www.villarocuracao.com" target="_blank">Villaro</a></p></div>
</footer>

<script src="/js/jquery.min.js"></script>
<script src="/js/jquery-ui.min.js"></script>
<script src="/js/bootstrap.min.js"></script>
<script src="/js/script.js?v=2"></script>

<script>
    $(document).ready(function() {
        FrontJS.init('menu');
    });
</script>

</body>
</html>
